Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 552858 - www-apps/dokuwiki : Remove deprecated depend.php functions
Summary: www-apps/dokuwiki : Remove deprecated depend.php functions
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jorge Manuel B. S. Vicetto
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 552836
  Show dependency tree
 
Reported: 2015-06-22 15:28 UTC by Brian Evans
Modified: 2015-10-18 18:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2015-06-22 15:28:43 UTC
www-apps/dokuwiki is using functions that are deprecated and should be removed.
The list below are the functions and suggested resolutions

need_php_httpd : Use {,R}DEPEND="virtual/httpd-php"
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2015-07-01 17:21:47 UTC
17:18 < gentoovcs> jmbsvicetto → gentoo-x86 (www-apps/dokuwiki/) Drop depend.php from inherit - fixes bug 552858.

@amd64 / @x86:

please add your stable keywords to =www-apps/dokuwiki-20140929d-r1
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2015-10-18 18:19:16 UTC
amd64/x86 stable